GnuDHPrivateKey (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.key.dh.GnuDHPrivateKey,GnuDHPrivateKey class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key.dh
Class GnuDHPrivateKey

    java.lang.Object
      |
      +--gnu.crypto.key.dh.GnuDHKey
            |
            +--gnu.crypto.key.dh.GnuDHPrivateKey

All Implemented Interfaces:
  DHKey, DHPrivateKey, java.security.Key, java.security.PrivateKey, java.io.Serializable

public class GnuDHPrivateKey
extends GnuDHKey
implements DHPrivateKey

An implementation of the Diffie-Hellman private key.

Reference:

1. Diffie-Hellman Key Agreement Method
   Eric Rescorla.

See Also:
  Serialized Form

Field Summary

Fields inherited from class gnu.crypto.key.dh.GnuDHKey
`g, p, q`

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Constructor Summary
`GnuDHPrivateKey(java.math.BigInteger q, java.math.BigInteger p, java.math.BigInteger g, java.math.BigInteger x)`

Method Summary
`byte[]` | `getEncoded()` Deprecated. see getEncoded(int).
`byte[]` | `getEncoded(int format)` Returns the encoded form of this private key according to the designated format.
`java.math.BigInteger` | `getX()` Returns the private value, `x`.
`static GnuDHPrivateKey` | `valueOf(byte[] k)` A class method that takes the output of the `encodePrivateKey()` method of a DH keypair codec object (an instance implementing `IKeyPairCodec` for DH keys, and re-constructs an instance of this object.

Methods inherited from class gnu.crypto.key.dh.GnuDHKey
`equals, getAlgorithm, getFormat, getParams, getQ`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.crypto.interfaces.DHKey
`getParams`

Methods inherited from interface java.security.Key
`getAlgorithm, getFormat`

Constructor Detail

### GnuDHPrivateKey

    public GnuDHPrivateKey(java.math.BigInteger q,
                           java.math.BigInteger p,
                           java.math.BigInteger g,
                           java.math.BigInteger x)

Method Detail

### valueOf

    public static GnuDHPrivateKey valueOf(byte[] k)

  A class method that takes the output of the `encodePrivateKey()` method of a DH keypair codec object (an instance implementing `IKeyPairCodec` for DH keys, and re-constructs an instance of this object.

  Parameters:
    `k` - the contents of a previously encoded instance of this object.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if there is not enough bytes, in `k`, to represent a valid encoding of an instance of this object.
    `java.lang.IllegalArgumentException` - if the byte sequence does not represent a valid encoding of an instance of this object.

### getEncoded

    public byte[] getEncoded()

  Deprecated. see getEncoded(int).

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getX

    public java.math.BigInteger getX()

  Description copied from interface: `DHPrivateKey`
  Returns the private value, `x`.

  Specified by:
    `getX` in interface `DHPrivateKey`
  Returns:
    the private value, `x`

### getEncoded

    public byte[] getEncoded(int format)

  Returns the encoded form of this private key according to the designated format.

  Parameters:
    `format` - the desired format identifier of the resulting encoding.
  Returns:
    the byte sequence encoding this key according to the designated format.
  Throws:
    `java.lang.IllegalArgumentException` - if the format is not supported.
  See Also:
    `DHKeyPairRawCodec`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.